#' nonlinvarsel: Variable Selection of Nonlinear Models
#'
#' The nonlinvarsel packaged provides a tool for variable selection
#' based in inferences from nonlinear models.
#'
#' Modern statistics provides powerful general tools for uncovering
#' complex nonlinear relationships.  Important example are ensemble models
#' based on collections of binary trees and deep neural nets.
#' The package provides a general approach to the variable selection problem.
#' Here a good subset of variables is one that allows us to approximate
#' the predictions from the full set.
#'
#' In the case where our inference for the relationship allows for many possible
#' predictions (e.g Bayesian Additive Regression Trees), we also provides
#' tools for the quantifcation of the uncertainty.
#'
#' @docType package
#' @name nonlinvarsel
#' @import foreach
#' @importFrom graphics abline axis box legend lines plot points text title
#' @importFrom stats cor median predict quantile
NULL

